<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="p" section="in-portal:browse" title_preset="file_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('file','<inp2:file_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('file','OnCancel');
						}
				 ) );

				a_toolbar.Render();
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:file_SaveWarning name="grid_save_warning"/>
<inp2:file_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" title="la_section_File"/>
			<inp2:m_RenderElement name="inp_edit_hidden" prefix="file" field="ProductId"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="file" field="Name" title="la_fld_Name" size="50" />
			<inp2:m_RenderElement name="inp_edit_box" prefix="file" field="Version" title="la_fld_Version" size="10" />
			<inp2:m_RenderElement name="inp_edit_upload" prefix="file" field="RealPath" title="la_fld_FilePath" />
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="file" field="Status" title="la_fld_Enabled" onchange="check_primary()" />
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="file" field="IsPrimary" title="la_fld_Primary" onchange="check_status()" />
			<inp2:m_RenderElement name="inp_edit_box" prefix="file" field="Priority" title="la_fld_Priority" size="4"/>
			<inp2:m_RenderElement name="inp_edit_date" prefix="file" field="AddedOn" title="la_fld_AddedOn" />
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<script type="text/javascript">
	<inp2:m_if check="file_Field" name="IsPrimary">
		document.getElementById('_cb_<inp2:file_InputName field="IsPrimary" />').disabled = true;
		document.getElementById('_cb_<inp2:file_InputName field="Status" />').disabled = true;
	</inp2:m_if>

	function check_status()
	{
		if(document.getElementById('_cb_<inp2:file_InputName field="IsPrimary" />').checked)
		{
			document.getElementById('_cb_<inp2:file_InputName field="Status" />').checked = true;
			document.getElementById('<inp2:file_InputName field="Status"/>').value = 1;
		}
	}

	function check_primary()
	{
		if(!document.getElementById('_cb_<inp2:file_InputName field="Status" />').checked)
		{
			document.getElementById('_cb_<inp2:file_InputName field="IsPrimary" />').checked = false;
			document.getElementById('<inp2:file_InputName field="IsPrimary"/>').value = 0;
		}
	}
</script>

<inp2:m_include t="incs/footer"/>